Core APIVaultsSlug

/vaults/{slug}/apy-history

Get APY history for vault by slug for the given date range. Only fully settled UTC days are included. Because the current UTC day is not yet settled, it is omitted even when it falls within the requested date range. `compositionApy` is the composition-weighted yield APY (liquid assets and off-chain value are excluded from the APY denominator). `apy` is a legacy alias for `compositionApy`. `navApy` is the price-delta (NAV-based) APY computed from vault token price changes.

Learn how to choose between NAV APY and composition APY.

GET
/vaults/{slug}/apy-history

Get APY history for vault by slug for the given date range. Only fully settled UTC days are included. Because the current UTC day is not yet settled, it is omitted even when it falls within the requested date range. compositionApy is the composition-weighted yield APY (liquid assets and off-chain value are excluded from the APY denominator). apy is a legacy alias for compositionApy. navApy is the price-delta (NAV-based) APY computed from vault token price changes.

Path Parameters

slug*string

Unique slug identifier for the vault.

Length1 <= length

Query Parameters

startDate?|

Unix timestamp in seconds

endDate?|

Unix timestamp in seconds

Default1791620964
order?string

Ordering for history arrays. desc returns newest first. asc returns oldest first.

Default"desc"

Value in

  • "asc"
  • "desc"
chainId?|

Optional chain ID. Defaults to Plume: 98866

Default98866

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/vaults/nest-alpha-vault/apy-history"
{  "data": {    "vaultAddress": "string",    "history": [      {        "day": 0,        "apy": {          "rolling7d": 0,          "rolling30d": 0,          "sec30d": 0        },        "compositionApy": {          "rolling7d": 0,          "rolling30d": 0,          "sec30d": 0        },        "navApy": {          "rolling7d": 0,          "rolling30d": 0,          "sec30d": 0        }      }    ],    "errors": [      {        "source": "superstate",        "operation": "getPendingTransactions",        "message": "superstate getPendingTransactions timed out after 10000ms",        "code": "TIMEOUT",        "timestamp": 1704067200      }    ]  }}